GNU bug report logs - #36795
[PATCH 06/11] gnu: Add r-consensusclusterplus.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36794, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:06 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:33 2019
Received: from localhost ([127.0.0.1]:37991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuK-0005ML-QO
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:42064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuF-0005LG-7A
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41096)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuE-0003Ix-6a
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuD-0007GU-4l
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:26 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:39999)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuC-0007Eu-Ut
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:25 -0400
Received: by mail-wr1-x42e.google.com with SMTP id r1so47997542wrl.7
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=24W40LvZghPcbKV/H18xen7gsRhPS5H4z1oHo7bo37o=;
 b=rnqbXAjUbGifnfSO2GeQGZh0dc4in9l2FFDzbMa2r4+No3iWfFlW5kDSK6zMOmgtW3
 2SMnZYV32ponjO/9S3WMrTgZZW3TKj4vKT4TA+OGqPVCsQ1Kg/CCrAgV51LJK+EL2pVb
 cl24I9l58S9hW8+IEZdFFQpSsJBtn4bLc2hnYKPB7QwnLTbuHGXvcXIRuSnwsn6wg0xw
 CKaCaxReizbyFrqw+dZBWZlq7BHHAEUibamWkZ+gsjagf9A9YRWbwwaoKCFu2Mz/vNMO
 2ILflRcwss1a3vBgqXZOJRwqeeQP6EK/MvHX/VMjFqxFDsTVNvuDJG3/uJOprycZTT9w
 vTbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=24W40LvZghPcbKV/H18xen7gsRhPS5H4z1oHo7bo37o=;
 b=SIN8y4AD5vmwGOSqg6BYKYwOO3Bat+E6o7eBKJ0ikn4zdU3Jmj11ZqlmS/vkLTXlc7
 CZFhqzi/V+vj0RzPAAzwf4mSFwLj2AlCumAIucL/vzR+yQF+oIk3+/1xk9A/Wcd4qjUm
 0PMwv9ppAz1eIl4igDEPm9dRvEi0571rA/08p13G89s3ERE8fYbAn0qas1lSkc1ZJzXb
 gfcq4YDbwbB/xUYaUq14h96eG+L9qxdwp1Y9Zu23Jf1lY9wxAm6MM10NgumSP9llRH+w
 F86v+QC/uJJpCLUuyk2ICKqeSMgzax+I44cgwh/1mz681GFFHcgnMftPc/Msoi7SYwvi
 KdcA==
X-Gm-Message-State: APjAAAXTDYOX7U62k1YMrKv+k/n+FLIJscrU9reWMjLutN92HPDg3f0Q
 aDAKjFMkKQFHSwy2hCdzY/qtD6mh
X-Google-Smtp-Source: APXvYqwCXWThIC3B+SGJ91uJCfiUoKLOXuqkMDur6pAOubKmN3dlEbtcvfcg0Cj8OD6alf5bvtf3oQ==
X-Received: by 2002:a5d:618d:: with SMTP id j13mr88213012wru.195.1563992543841; 
 Wed, 24 Jul 2019 11:22:23 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.22
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:23 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 06/11] gnu: Add r-consensusclusterplus.
Date: Wed, 24 Jul 2019 20:21:59 +0200
Message-Id: <20190724182204.6818-7-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42e
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-consensusclusterplus): New variable.
---
 gnu/packages/bioconductor.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index d79ff729fc..d5bd512972 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4827,6 +4827,31 @@ and to both short and long sequence reads.")
       "Provides utilities for flow cytometry data.")
     (license license:artistic2.0)))
 
+(define-public r-consensusclusterplus
+  (package
+    (name "r-consensusclusterplus")
+    (version "1.48.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "ConsensusClusterPlus" version))
+        (sha256
+          (base32
+            "1mlcm3wq5n8s0gxs35j0ph9576fhbrbrrsj2xy84fy20prcfs4w8"))))
+    (properties
+      `((upstream-name . "ConsensusClusterPlus")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-all" ,r-all)
+        ("r-biobase" ,r-biobase)
+        ("r-cluster" ,r-cluster)))
+    (home-page
+      "https://bioconductor.org/packages/ConsensusClusterPlus")
+    (synopsis "Clustering algorithm")
+    (description
+      "Algorithm for determining cluster count and membership by stability evidence in unsupervised analysis.")
+    (license license:gpl2)))
+
 (define-public r-flowcore
   (package
     (name "r-flowcore")
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36795; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.